Skip to content
Permalink

Comparing changes

Choose two branches to see what’s changed or to start a new pull request. If you need to, you can also or learn more about diff comparisons.

Open a pull request

Create a new pull request by comparing changes across two branches. If you need to, you can also . Learn more about diff comparisons here.
base repository: NixOS/nixpkgs
Failed to load repositories. Confirm that selected base ref is valid, then try again.
Loading
base: d94d220b849e
Choose a base ref
...
head repository: NixOS/nixpkgs
Failed to load repositories. Confirm that selected head ref is valid, then try again.
Loading
compare: a35dae70c319
Choose a head ref
  • 3 commits
  • 6 files changed
  • 1 contributor

Commits on Nov 5, 2018

  1. treewide: get rid of osx cmake flags

    Flags that we now set globally:
    
    - CMAKE_OSX_SYSROOT
    - CMAKE_OSX_DEPLOYMENT_TARGET
    
    can now be removed.
    
    (cherry picked from commit 8742d5d)
    matthewbauer committed Nov 5, 2018
    Copy the full SHA
    21eeb00 View commit details
  2. talloc: use fixDarwinDylibNames

    The makefile isn’t setting install_name properly causing issues on
    macOS. fixDarwinDylibNames seems to fix this.
    matthewbauer committed Nov 5, 2018
    Copy the full SHA
    ada49ba View commit details
  3. notmuch: cleanup

    matthewbauer committed Nov 5, 2018
    Copy the full SHA
    a35dae7 View commit details
57 changes: 14 additions & 43 deletions pkgs/applications/networking/mailreaders/notmuch/default.nix
Original file line number Diff line number Diff line change
@@ -1,4 +1,4 @@
{ fetchurl, stdenv, fixDarwinDylibNames
{ fetchurl, stdenv
, pkgconfig, gnupg
, xapian, gmime, talloc, zlib
, doxygen, perl
@@ -34,18 +34,11 @@ stdenv.mkDerivation rec {
bash-completion # (optional) dependency to install bash completion
emacs # (optional) to byte compile emacs code, also needed for tests
ruby # (optional) ruby bindings
which dtach openssl bash # test dependencies
]
++ optional stdenv.isDarwin fixDarwinDylibNames
++ optionals (!stdenv.isDarwin) [ gdb man ]; # test dependencies
];

postPatch = ''
patchShebangs configure
find test/ -type f -exec \
sed -i \
-e "1s|#!/usr/bin/env bash|#!${bash}/bin/bash|" \
"{}" ";"
patchShebangs test/
for src in \
util/crypto.c \
@@ -54,6 +47,9 @@ stdenv.mkDerivation rec {
substituteInPlace "$src" \
--replace \"gpg\" \"${gnupg}/bin/gpg\"
done
substituteInPlace lib/Makefile.local \
--replace '-install_name $(libdir)' "-install_name $out/lib"
'';

configureFlags = [ "--zshcompletiondir=$(out)/share/zsh/site-functions" ];
@@ -64,33 +60,6 @@ stdenv.mkDerivation rec {
enableParallelBuilding = true;
makeFlags = "V=1";

preFixup = optionalString stdenv.isDarwin ''
set -e
die() {
>&2 echo "$@"
exit 1
}
prg="$out/bin/notmuch"
lib="$(find "$out/lib" -name 'libnotmuch.?.dylib')"
[[ -s "$prg" ]] || die "couldn't find notmuch binary"
[[ -s "$lib" ]] || die "couldn't find libnotmuch"
badname="$(otool -L "$prg" | awk '$1 ~ /libtalloc/ { print $1 }')"
goodname="$(find "${talloc}/lib" -name 'libtalloc.*.*.*.dylib')"
[[ -n "$badname" ]] || die "couldn't find libtalloc reference in binary"
[[ -n "$goodname" ]] || die "couldn't find libtalloc in nix store"
echo "fixing libtalloc link in $lib"
install_name_tool -change "$badname" "$goodname" "$lib"
echo "fixing libtalloc link in $prg"
install_name_tool -change "$badname" "$goodname" "$prg"
'';

preCheck = let
test-database = fetchurl {
url = "https://notmuchmail.org/releases/test-databases/database-v1.tar.xz";
@@ -99,12 +68,14 @@ stdenv.mkDerivation rec {
in ''
ln -s ${test-database} test/test-databases/database-v1.tar.xz
'';
doCheck = !stdenv.isDarwin && (versionAtLeast gmime.version "3.0");
checkTarget = "test V=1";

postInstall = ''
make install-man
'';
doCheck = !stdenv.hostPlatform.isDarwin && (versionAtLeast gmime.version "3.0");
checkTarget = "test";
checkInputs = [
which dtach openssl bash
gdb man
];

installTargets = "install install-man";

dontGzipMan = true; # already compressed

6 changes: 1 addition & 5 deletions pkgs/development/libraries/libui/default.nix
Original file line number Diff line number Diff line change
@@ -13,7 +13,7 @@ in
sha256 = "1lpbfa298c61aarlzgp7vghrmxg1274pzxh1j9isv8x758gk6mfn";
};

nativeBuildInputs = [ pkgconfig ];
nativeBuildInputs = [ pkgconfig ];
buildInputs = [ cmake ] ++
(if backend == "darwin" then [darwin.apple_sdk.frameworks.Cocoa]
else if backend == "unix" then [gtk3]
@@ -22,10 +22,6 @@ in
preConfigure = stdenv.lib.optionalString stdenv.isDarwin ''
sed -i 's/set(CMAKE_OSX_DEPLOYMENT_TARGET "10.8")//' ./CMakeLists.txt
'';
cmakeFlags = stdenv.lib.optionals stdenv.isDarwin [
"-DCMAKE_OSX_SYSROOT="
"-DCMAKE_OSX_DEPLOYMENT_TARGET="
];

installPhase = ''
mkdir -p $out/{include,lib}
1 change: 0 additions & 1 deletion pkgs/development/libraries/pcl/default.nix
Original file line number Diff line number Diff line change
@@ -29,7 +29,6 @@ stdenv.mkDerivation rec {

++ stdenv.lib.optionals stdenv.isDarwin [ Cocoa AGL cf-private ];
cmakeFlags = stdenv.lib.optionals stdenv.isDarwin [
"-DCMAKE_OSX_SYSROOT=" "-DCMAKE_OSX_DEPLOYMENT_TARGET="
"-DOPENGL_INCLUDE_DIR=${OpenGL}/Library/Frameworks"
];

8 changes: 4 additions & 4 deletions pkgs/development/libraries/talloc/default.nix
Original file line number Diff line number Diff line change
@@ -1,5 +1,5 @@
{ stdenv, fetchurl, python, pkgconfig, readline, libxslt
, docbook_xsl, docbook_xml_dtd_42
, docbook_xsl, docbook_xml_dtd_42, fixDarwinDylibNames
}:

stdenv.mkDerivation rec {
@@ -10,13 +10,13 @@ stdenv.mkDerivation rec {
sha256 = "1kk76dyav41ip7ddbbf04yfydb4jvywzi2ps0z2vla56aqkn11di";
};

nativeBuildInputs = [ pkgconfig ];
nativeBuildInputs = [ pkgconfig fixDarwinDylibNames ];
buildInputs = [
python readline libxslt docbook_xsl docbook_xml_dtd_42
];

preConfigure = ''
sed -i 's,#!/usr/bin/env python,#!${python}/bin/python,g' buildtools/bin/waf
prePatch = ''
patchShebangs buildtools/bin/waf
'';

configureFlags = [
2 changes: 0 additions & 2 deletions pkgs/development/libraries/vtk/default.nix
Original file line number Diff line number Diff line change
@@ -41,8 +41,6 @@ stdenv.mkDerivation rec {
cmakeFlags = [ "-DCMAKE_C_FLAGS=-fPIC" "-DCMAKE_CXX_FLAGS=-fPIC" ]
++ optional (qtLib != null) [ "-DVTK_USE_QT:BOOL=ON" ]
++ optional stdenv.isDarwin [ "-DBUILD_TESTING:BOOL=OFF"
"-DCMAKE_OSX_SYSROOT="
"-DCMAKE_OSX_DEPLOYMENT_TARGET="
"-DOPENGL_INCLUDE_DIR=${OpenGL}/Library/Frameworks" ];

postPatch = stdenv.lib.optionalString stdenv.isDarwin ''
4 changes: 0 additions & 4 deletions pkgs/development/mobile/xpwn/default.nix
Original file line number Diff line number Diff line change
@@ -20,10 +20,6 @@ stdenv.mkDerivation {

buildInputs = [ cmake zlib libpng bzip2 libusb openssl ];

cmakeFlags = [
"-DCMAKE_OSX_DEPLOYMENT_TARGET="
];

meta = with stdenv.lib; {
homepage = "http://planetbeing.lighthouseapp.com/projects/15246-xpwn";
description = "Custom NOR firmware loader/IPSW generator for the iPhone";